mediastreamer2 2.7.3

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields

# _MSDtmfGenCustomTone Struct Reference

`#include <dtmfgen.h>`

## Data Fields
int | duration
int | frequency
float | amplitude

## Detailed Description

Structure describing a custom tone.

## Field Documentation

int _MSDtmfGenCustomTone::duration

Duration of the tone in milliseconds

int _MSDtmfGenCustomTone::frequency

Frequency of the tone to be played

float _MSDtmfGenCustomTone::amplitude

Amplitude of the tone, 1.0 being the 0dbm normalized level

The documentation for this struct was generated from the following file:

- dtmfgen.h